#
# spec file for package SDL2_net
#
# Copyright (c) 2015 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           SDL2_net
%define lname	libSDL2_net-2_0-0
Version:        2.0.0
Release:        lp152.3.5
Summary:        SDL2 networking library
License:        Zlib
Group:          Development/Libraries/C and C++
Url:            http://libsdl.org/projects/SDL_net/

#Hg-Clone:	http://hg.libsdl.org/SDL_net/
Source:         http://libsdl.org/projects/SDL_net/release/%name-%version.tar.gz
Source2:        baselibs.conf
BuildRequires:  pkg-config
BuildRequires:  pkgconfig(sdl2)
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
This is a small cross-platform networking library for use with SDL.

%package -n %lname
Summary:        Simple DirectMedia Layer 2 – Networking library
Group:          System/Libraries
Provides:       SDL2_net = %version

%description -n %lname
This is a small cross-platform networking library for use with SDL.

%package -n libSDL2_net-devel
Summary:        Development files for the SDL2 networking library
Group:          Development/Libraries/C and C++
Requires:       %lname = %version
Provides:       SDL2_net-devel = %version

%description -n libSDL2_net-devel
This is a small cross-platform networking library for use with SDL.

%prep
%setup -q

%build
%configure --disable-static
make %{?_smp_mflags}

%install
%make_install
rm -f "%buildroot/%_libdir"/*.la

%post   -n %lname -p /sbin/ldconfig
%postun -n %lname -p /sbin/ldconfig

%files -n %lname
%defattr(-,root,root)
%doc CHANGES.txt COPYING.txt README.txt
%_libdir/libSDL2_net-2*.so.*

%files -n libSDL2_net-devel
%defattr(-,root,root)
%_includedir/SDL2/
%_libdir/libSDL2_net.so
%_libdir/pkgconfig/SDL2_net.pc

%changelog
* Thu Jan  8 2015 jengelh@inai.de
- Improve package summary and description. Drop --with-pic which
  is enabled implicitly anyway, remove redundant Requires.
* Tue Aug 13 2013 jengelh@inai.de
- Some metadata spruce-up: add current URLs, softer wildcarding
  in the files list, more robust make install call
* Tue Aug 13 2013 prusnak@opensuse.org
- created package (version 2.0.0) - based on SDL_net package
